<?php
use Symfony\Component\Routing\RouteCollection;
use Symfony\Component\Routing\Route;

$collection = new RouteCollection();

// Admin - 1st login
$collection->add('admin.changepwd', new Route('/changepwd', array('_controller' => 'App\Controller\Admin\ChangePwdController::indexAction'), array(), array(), '', array(), array('GET')));
$collection->add('admin.savepwd', new Route('/changepwd', array('_controller' => 'App\Controller\Admin\ChangePwdController::saveAction'), array(), array(), '', array(), array('POST')));

// Admin - Dashboard
$collection->add('admin.dashboard', new Route('/', array('_controller' => 'App\Controller\Admin\DashboardController::indexAction', 'main_navigation' => 1, 'sect' => 'dashboard', 'sort' => 0, 'name' => 'navigation.item.dashboard', 'icon' => 'fa-tachometer-alt'), array(), array(), '', array(), array('GET')));
// Service messages
$collection->add('admin.servicemessages', new Route('/servicemessages', array('_controller' => 'App\Controller\Admin\ServiceMessageController::indexAction', 'sect' => 'servicemessages'), array(), array(), '', array(), array('GET')));
$collection->add('admin.servicemessages.delete', new Route('/servicemessages/delete', array('_controller' => 'App\Controller\Admin\ServiceMessageController::deleteAction', 'sect' => 'servicemessages'), array(), array(), '', array(), array('POST')));
$collection->add('admin.servicemessages.deleteall', new Route('/servicemessages/deleteall', array('_controller' => 'App\Controller\Admin\ServiceMessageController::deleteAllAction', 'sect' => 'servicemessages'), array(), array(), '', array(), array('POST')));
$collection->add('admin.servicemessages.ignore', new Route('/servicemessages/ignore', array('_controller' => 'App\Controller\Admin\ServiceMessageController::ignoreAction', 'sect' => 'servicemessages'), array(), array(), '', array(), array('POST')));
$collection->add('admin.servicemessages.unignore', new Route('/servicemessages/unignore/{id}', array('_controller' => 'App\Controller\Admin\ServiceMessageController::unignoreAction', 'sect' => 'servicemessages'), array(), array(), '', array(), array('GET')));
// Clear cache
$collection->add('admin.cache.clear', new Route('/cache/clear', array('_controller' => 'App\Controller\Admin\CacheController::clearAction', 'sect' => 'cache'), array(), array(), '', array(), array('GET')));

// Change locale
$collection->add('setlocale', new Route('/setlocale/{locale}', array('_controller' => 'App\Controller\UserController::setLocaleAction'), array(), array(), '', array(), array('GET')));

// Sidebar
$collection->add('admin.sidebar', new Route('/sidebar/{state}', array('_controller' => 'App\Controller\Admin\DashboardController::sidebarAction', 'sect' => 'dashboard'), array(), array(), '', array(), array('POST')));

$collection->addCollection(
    $loader->import("./admin/", "directory")
);

if (substr($_SERVER['REQUEST_URI'],0,6) !== '/admin') {
    $collection->addPrefix('/admin');
}

return $collection;
